ASSETS
Get Asset
Retrieve a single monitored asset by external asset ID
GET
/
v1
/
assets
/
{asset_id}
Get asset
curl --request GET \
--url https://api.intrace.ai/v1/assets/{asset_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.intrace.ai/v1/assets/{asset_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.intrace.ai/v1/assets/{asset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset_id": "<string>",
"type": "<string>",
"name": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"role": "<string>",
"attributes": {
"lat": 123,
"lng": 123,
"address": "<string>",
"country": "<string>",
"monitoring_radius_km": 123
},
"threat_config": {
"enabled": true,
"alert_classes": [],
"custom_instructions": "<string>",
"monitored_event_types": [
"<string>"
],
"lookback_days": 45
},
"physical_threat_config": {
"enabled": true,
"alert_classes": [],
"custom_instructions": "<string>",
"monitored_event_types": [
"<string>"
],
"max_age_hours_by_category": {}
}
}Returns one asset.
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
asset_id | string | Yes | External asset identifier |
Example Request
curl -H "X-API-Key: your-api-key" "https://api.intrace.ai/v1/assets/lagos-hq"
Authorizations
Path Parameters
Response
Asset record.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get asset
